---

#### Determine Active cluster node

- name: Check mount_point
  import_role:
    name: mount_check
  tags: always

- meta: end_host
  when: cluster != '0'

- name: Set release path
  set_fact:
    release_path: "{{ wl_patch_path }}/{{ release }}"

- name: Set Applicaton download path
  set_fact:
    app_path: "{{ release_path }}/{{ app_name }}"
    install_build_path: "{{ installer_app_path }}/apps/{{ project }}/sv/build/{{ app_name }}"
    install_index_path: "{{ installer_app_path }}/apps/{{ project }}/sv/build/install_index.json"

- name: Create Patch path
  file:
    path: "{{ app_path }}"
    state: directory
    owner: weblogic
    group: weblogic

- name: Download patch
  include_role:
    name: get_file
    apply:
      tags: deploy
  vars:
    get_file_app: "{{ app_name }}"
    get_file_release: "{{ release }}"
    get_file_file_owner: weblogic
    get_file_file_dest: "{{ app_path }}"
  tags:
    - deploy

- name: Get Patch file date
  stat:
    path: "{{ file_dest_path }}"
  register: st

- set_fact:
    wl_app_date: "{{ '%Y-%m-%d %H:%M:%S' | strftime(st.stat.ctime) }}"

- name: Create installer folder
  file:
    path: "{{ install_build_path }}"
    state: directory
    owner: weblogic
    group: weblogic

- name: Copy application
  copy:
    src: "{{ file_dest_path }}"
    dest: "{{ install_build_path }}"
    owner: weblogic
    group: weblogic
    remote_src: true

- name: Set application file name
  set_fact:
    app_file_name: "{{ file_dest_path|basename }}"

- name: Generate install_index.json
  template:
    src: install_index.json.j2
    dest: "{{ install_index_path }}"
    owner: weblogic
    group: weblogic
    backup: true

#- name: Check server status
#  become_user: weblogic
#  ignore_errors: true
#  shell:
#    cmd: "source /home/weblogic/.bash_profile && ./run control -a {{ app_name }} -m status_server -i {{ instance }} -v"
#    chdir: "{{ installer_app_path }}"

- name: Deploy application
  become_user: weblogic
  shell:
    cmd: "source /home/weblogic/.bash_profile && ./run deploy -a {{ app_name }} -i {{ instance }} -v -p {{ project }}"
    chdir: "{{ installer_app_path }}"
